# ExtraDataHandler (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Library

## Interface ExtraDataHandler

All Known Implementing Classes:
  Host, InternalHost, InternalSubServer, Server, SubServer

    public interface ExtraDataHandler

Extra Data Handler Layout Class

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addExtra(java.lang.String handle, java.lang.Object value)` Add an extra value to this Server
`YAMLSection` `getExtra()` Get the extra value section
`YAMLValue` `getExtra(java.lang.String handle)` Get an extra value
`boolean` `hasExtra(java.lang.String handle)` Determine if an extra value exists
`void` `removeExtra(java.lang.String handle)` Remove an extra value from this Server

### Method Detail

#### addExtra

    void addExtra(java.lang.String handle,
                  java.lang.Object value)

Add an extra value to this Server

Parameters:
  `handle` - Handle
  `value` - Value

#### hasExtra

    boolean hasExtra(java.lang.String handle)

Determine if an extra value exists

Parameters:
  `handle` - Handle
Returns:
  Value Status

#### getExtra

    YAMLValue getExtra(java.lang.String handle)

Get an extra value

Parameters:
  `handle` - Handle
Returns:
  Value

#### getExtra

    YAMLSection getExtra()

Get the extra value section

Returns:
  Extra Value Section

#### removeExtra

    void removeExtra(java.lang.String handle)

Remove an extra value from this Server

Parameters:
  `handle` - Handle